﻿$ErrorActionPreference = 'Stop'

# *** Automatically filled ***
$softwareName = 'Atom'
$version      = '1.47.0'
# *** Automatically filled ***

if (!$Env:ChocolateyForce -and $version -eq (Get-UninstallRegistryKey $softwareName).DisplayVersion) {
    Write-Host "Version $version is already installed."
    return
}

# *** Automatically filled ***
$packageArgs = @{
    packageName    = 'atom'
    softwareName   = $softwareName
    fileType       = 'exe'
    url            = 'https://github.com/atom/atom/releases/download/v1.47.0/AtomSetup.exe'
    url64bit       = 'https://github.com/atom/atom/releases/download/v1.47.0/AtomSetup-x64.exe'
    silentArgs     = '--silent'
    checksum       = '850894d57ab8ac46e4347822ae125be7b60042445c7f30a951424fc8912d5880'
    checksumType   = 'sha256'
    checksum64     = 'f7c5221cdbc100f744b95e4799c026bd3fd5ac5b5cfc126e29543f219c7a9610'
    checksumType64 = 'sha256'
    validExitCodes = @(0)
}
# *** Automatically filled ***

Install-ChocolateyPackage @packageArgs
